GNU bug report logs - #39597
27.0.60: M-x occur adds fontification to fundamental-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Kévin Le Gouguec <kevin.legouguec@HIDDEN>; Keywords: fixed; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.0.50, send any further explanations to 39597 <at> debbugs.gnu.org and Kévin Le Gouguec <kevin.legouguec@HIDDEN> Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 23 Feb 2020 00:44:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 22 19:44:55 2020
Received: from localhost ([127.0.0.1]:50264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5fOB-00008s-Iy
	for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 19:44:55 -0500
Received: from fossa.birch.relay.mailchannels.net ([23.83.209.62]:36127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>)
 id 1j5fO9-00008e-Sx; Sat, 22 Feb 2020 19:44:54 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 24FE65A08D4;
 Sun, 23 Feb 2020 00:44:52 +0000 (UTC)
Received: from pdx1-sub0-mail-a92.g.dreamhost.com
 (100-96-219-25.trex.outbound.svc.cluster.local [100.96.219.25])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 98D6D5A0858;
 Sun, 23 Feb 2020 00:44:51 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a92.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 23 Feb 2020 00:44:52 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Decisive-Continue: 39a8759b415c0cec_1582418691879_3040507209
X-MC-Loop-Signature: 1582418691879:1900973783
X-MC-Ingress-Time: 1582418691879
Received: from pdx1-sub0-mail-a92.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a92.g.dreamhost.com (Postfix) with ESMTP id 15ECB7F1C8;
 Sat, 22 Feb 2020 16:44:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=nPYPOn0ofydbv4Cq5XszU8e0CTg=; b=
 1zGCeaAYUUDjvLlDHpkKZDFdd6JjHaAMi1vk3oqyGgmrM0rXgRGgIZOGnXpu4sF/
 IR6mBkaM+DWTDl7sNEv/AZAbGDEQloJOHIlzT3U3QsBfbZwS2Fxk4sPBqfazGTGG
 +4gGKfrcWZoKwc4H/k/Zju8ImF6gAokhPbpNV/89c2I=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a92.g.dreamhost.com (Postfix) with ESMTPSA id D7F9B7F188;
 Sat, 22 Feb 2020 16:44:43 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a92
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
Organization: LINKOV.NET
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
 <874kvna4uv.fsf@HIDDEN> <83zhddjomi.fsf@HIDDEN>
 <871rqpt6qm.fsf@HIDDEN> <83wo8hjajp.fsf@HIDDEN>
 <87sgj4sxlu.fsf@HIDDEN> <83tv3kjslp.fsf@HIDDEN>
Date: Sun, 23 Feb 2020 02:37:37 +0200
In-Reply-To: <83tv3kjslp.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 21 Feb
 2020 09:40:34 +0200")
Message-ID: <87imjym94e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrkeejgddvudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrvdejnecuvehluhhsthgvrhfuihiivgepvdenucfrrghrrghmpehmohguvgepshhmthhppdhhvghloheplhhotggrlhhhohhsthdrlhhinhhkohhvrdhnvghtpdhinhgvthepledurdduvdelrddutdefrddvjedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegvlhhiiiesghhnuhdrohhrgh
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org,
 =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 39597 fixed
close 39597 28.0.50
quit

> The fix installed on master

Now the more fundamental fix is installed on master.

> Another alternative is to revert the offending changes in fb16313025
> on the release branch.  Since it is an enhancement, perhaps we could
> live without it in Emacs 27.

Yes, better to revert part of fb16313025 on the release branch
since that change was just an "optimization".
Now reverted on the release branch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 23 Feb 2020 00:44:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Feb 22 19:44:48 2020
Received: from localhost ([127.0.0.1]:50261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5fO4-00008P-9k
	for submit <at> debbugs.gnu.org; Sat, 22 Feb 2020 19:44:48 -0500
Received: from bongo.elm.relay.mailchannels.net ([23.83.212.21]:9863)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j5fO2-00008G-31
 for 39597 <at> debbugs.gnu.org; Sat, 22 Feb 2020 19:44:46 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 0A7A6500DCB;
 Sun, 23 Feb 2020 00:44:45 +0000 (UTC)
Received: from pdx1-sub0-mail-a92.g.dreamhost.com
 (100-96-38-98.trex.outbound.svc.cluster.local [100.96.38.98])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 86E77500E0A;
 Sun, 23 Feb 2020 00:44:44 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a92.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Sun, 23 Feb 2020 00:44:44 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Madly-Broad: 57fdbd814785cffe_1582418684842_1001808831
X-MC-Loop-Signature: 1582418684842:3058533211
X-MC-Ingress-Time: 1582418684841
Received: from pdx1-sub0-mail-a92.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a92.g.dreamhost.com (Postfix) with ESMTP id 346B87F1BF;
 Sat, 22 Feb 2020 16:44:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=linkov.net; bh=bRIlt9
 RfQ0q/irzrj0oX1uOAakQ=; b=s0CWitm7Dcnx5FjNa3xq0QdwYpSeZReW28SauS
 SP9jA7erGIuGAK2sZrvecjTwxCuH/vyYrBZ33xplh90LA+U32Z1Gi36lIBtaSPc4
 jmq70WmkPHIohlkWgM9IzRpQLRkS1G8i8oj6URlDKyW6Zh+okhZV/V1+tJq0Yxs5
 D9Jjk=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a92.g.dreamhost.com (Postfix) with ESMTPSA id 50C657F1C8;
 Sat, 22 Feb 2020 16:44:37 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a92
From: Juri Linkov <juri@HIDDEN>
To: =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
Organization: LINKOV.NET
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
 <874kvna4uv.fsf@HIDDEN> <83zhddjomi.fsf@HIDDEN>
 <871rqpt6qm.fsf@HIDDEN> <83wo8hjajp.fsf@HIDDEN>
 <87sgj4sxlu.fsf@HIDDEN> <83tv3kjslp.fsf@HIDDEN>
 <87a75biwp6.fsf@HIDDEN>
Date: Sun, 23 Feb 2020 02:24:15 +0200
In-Reply-To: <87a75biwp6.fsf@HIDDEN> (=?iso-8859-1?Q?=22K=E9vin?= Le
 Gouguec"'s message of "Fri, 21 Feb 2020 20:09:41 +0100")
Message-ID: <871rqmnob4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrkeejgddvudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtgfesthekredttderjeenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehlohgtrghlhhhoshhtrdhlihhnkhhovhdrnhgvthdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepkhgvvhhinhdrlhgvghhouhhguhgvtgesghhmrghilhdrtghomh
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39597
Cc: Eli Zaretskii <eliz@HIDDEN>, 39597 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Idle musing: I wonder if something could be done inside
> fundamental-mode.  It's not the only fontification issue I've noticed
> there[1].
>
> [1] E.g. (I was about to report this as a distinct issue=E2=80=A6 somed=
ay=E2=80=A6)
>
>     C-x b foo
>     foo RET bar RET baz RET
>     M-s h r a RET RET
>     aaaa
>
>     =E2=87=92 In all modes *but* fundamental-mode, hi-lock-mode dynamic=
ally
>     highlights new matches (e.g. the added "aaaa" string here).
>
>     This bug is not strictly related to the current one, since the
>     former has been with us since at least 26.3, but that does make me
>     wonder whether both issues could be solved by turning some font-loc=
k
>     knob in fundamental-mode=E2=80=A6

Searching for "font-lock-specified-p" in hi-lock.el
shows these fragments of code.  This first condition decides
whether to use font-lock for highlighting matches
that returns nil in fundamental-mode:

      (if (and font-lock-mode (font-lock-specified-p major-mode))

      ;; FIXME: Calling `font-lock-remove-keywords' causes
      ;; `font-lock-specified-p' to go from nil to non-nil (because it
      ;; calls font-lock-set-defaults).  This is yet-another bug in
      ;; font-lock-add/remove-keywords, which we circumvent here by
      ;; testing `font-lock-fontified' (bug#19796).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 21 Feb 2020 19:09:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 14:09:56 2020
Received: from localhost ([127.0.0.1]:48135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j5DgR-0000OM-Ul
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 14:09:56 -0500
Received: from mail-wr1-f46.google.com ([209.85.221.46]:33705)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1j5DgP-0000O9-RN
 for 39597 <at> debbugs.gnu.org; Fri, 21 Feb 2020 14:09:54 -0500
Received: by mail-wr1-f46.google.com with SMTP id u6so3256178wrt.0
 for <39597 <at> debbugs.gnu.org>; Fri, 21 Feb 2020 11:09:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=qJcPencGFGK+42DLVCK6xOmjg6QjmNceqzCzuvS56wc=;
 b=j3kOO0YEU1pfPejTTcuw9XBGOOUaHESROd1cloxAN/OdD+d6oH/dZcYkQUPrXKMVxY
 CKAWSqNF+HrGGSO1qnSCPjHJInKTeTkCfhGsohJWVPSCAYW8YpDGZp2+bp2J0kF77e08
 MRLhB4uc4GcW9XEBXcdSfGH51ORI51ZRP/auRi/FHCRIf5w1acFnoLRD+3ToLjtnl8DF
 8y+Zl32P5dvNK+UOoRW8NSXACc2fTofu8BY+o3qsMRpgRXJwtfGw3SYHBykUXtuKunhJ
 Zb4xNWm79oGaT5qWpw2HBUXVaLVcLlajludhfERwQmrYNHqEkw6uqIUANeLuo2vOqqGn
 hU0w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=qJcPencGFGK+42DLVCK6xOmjg6QjmNceqzCzuvS56wc=;
 b=J3cq6brHehU1v0QdpNjmXaPDin7a0INxtHp3cf+pfqffR+Uic3y4ZE41c93zVXiIPA
 V5i6ESRXunb/Y0d6PoqRU0aL2Lu7KZfTdtqg4lGWVW+HIPpNeKUEzFf+V72ZPo8a5HJB
 x6vQprZ6ALuDzRJKcqTVCMiqXNfCVgz9Pfgb0YeINZfYs7o/UvuGkyJKtAKxZxRUtnv8
 Q4yOCb45+1s/VD8Du/s3lIfFcrLOZDUltIINXZkT7+J75sWgaln5sIw33oHft+3hn6xf
 hImvU2ZiQjxsgDCdtmbvZ3osIE6eS7k+3rjG9S2WOU/mDWfX5XQHjLubvGGoULF13Fob
 E6yw==
X-Gm-Message-State: APjAAAV0nvloDpBYKTM/uBil0Eji/pLl7aNcdKTbKUXvbw7zUIdLT1uu
 MKw+tjzaiUts8kviydyj2O0=
X-Google-Smtp-Source: APXvYqz0PtbaGF3qOcF2d20T0gB0Nlqik8RSWbM0sQ7ZIxXFlKHrkjBt1VSsalUO8VkK28w0xPCUlQ==
X-Received: by 2002:adf:e641:: with SMTP id b1mr49949653wrn.34.1582312187908; 
 Fri, 21 Feb 2020 11:09:47 -0800 (PST)
Received: from hirondell ([109.190.253.11])
 by smtp.gmail.com with ESMTPSA id g17sm5461325wru.13.2020.02.21.11.09.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 21 Feb 2020 11:09:46 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
 <874kvna4uv.fsf@HIDDEN> <83zhddjomi.fsf@HIDDEN>
 <871rqpt6qm.fsf@HIDDEN> <83wo8hjajp.fsf@HIDDEN>
 <87sgj4sxlu.fsf@HIDDEN> <83tv3kjslp.fsf@HIDDEN>
Date: Fri, 21 Feb 2020 20:09:41 +0100
In-Reply-To: <83tv3kjslp.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 21 Feb
 2020 09:40:34 +0200")
Message-ID: <87a75biwp6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Eli Zaretskii writes: > The fix installed on master (If you
 are referring to Stefan's patch, AFAICT it has not been committed to master
 yet.) Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [109.190.253.11 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.221.46 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (kevin.legouguec[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.221.46 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Eli Zaretskii writes: > The fix installed on master (If you
    are referring to Stefan's patch, AFAICT it has not been committed to master
    yet.) 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.221.46 listed in list.dnswl.org]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [109.190.253.11 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
                             [209.85.221.46 listed in wl.mailspike.net]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (kevin.legouguec[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

Eli Zaretskii <eliz@HIDDEN> writes:

> The fix installed on master

(If you are referring to Stefan's patch, AFAICT it has not been
committed to master yet.)

>                             is in a much more general place, and will
> affect much more than just occur-engine.  I'm okay with a bug-fix
> change on the release branch which is local to this place in
> replace.el, but I don't want to risk breaking unrelated code by
> changing font-lock.el.

Idle musing: I wonder if something could be done inside
fundamental-mode.  It's not the only fontification issue I've noticed
there[1].

> Another alternative is to revert the offending changes in fb16313025
> on the release branch.  Since it is an enhancement, perhaps we could
> live without it in Emacs 27.

I don't have a preference about that.  Juri?


[1] E.g. (I was about to report this as a distinct issue=E2=80=A6 someday=
=E2=80=A6)

    C-x b foo
    foo RET bar RET baz RET
    M-s h r a RET RET
    aaaa

    =E2=87=92 In all modes *but* fundamental-mode, hi-lock-mode dynamically
    highlights new matches (e.g. the added "aaaa" string here).

    This bug is not strictly related to the current one, since the
    former has been with us since at least 26.3, but that does make me
    wonder whether both issues could be solved by turning some font-lock
    knob in fundamental-mode=E2=80=A6




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 21 Feb 2020 07:40:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 21 02:40:52 2020
Received: from localhost ([127.0.0.1]:46288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j52vc-0001xi-B3
	for submit <at> debbugs.gnu.org; Fri, 21 Feb 2020 02:40:52 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35497)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j52vb-0001xW-80
 for 39597 <at> debbugs.gnu.org; Fri, 21 Feb 2020 02:40:51 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44445)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j52vW-00038l-2e; Fri, 21 Feb 2020 02:40:46 -0500
Received: from [176.228.60.248] (port=3919 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j52vV-0008UM-Gg; Fri, 21 Feb 2020 02:40:45 -0500
Date: Fri, 21 Feb 2020 09:40:34 +0200
Message-Id: <83tv3kjslp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
In-reply-to: <87sgj4sxlu.fsf@HIDDEN> (message from =?iso-8859-1?Q?K=E9v?=
 =?iso-8859-1?Q?in?= Le Gouguec on Thu, 20 Feb 2020 23:27:41 +0100)
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
 <874kvna4uv.fsf@HIDDEN> <83zhddjomi.fsf@HIDDEN>
 <871rqpt6qm.fsf@HIDDEN> <83wo8hjajp.fsf@HIDDEN> <87sgj4sxlu.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Kvin Le Gouguec <kevin.legouguec@HIDDEN>
> Date: Thu, 20 Feb 2020 23:27:41 +0100
> 
> >> I think commit fb16313025 (2018-12-18T23:10:09Z!juri <at> linkov.net) had an
> >> unintended side-effect on fundamental-mode.  From emacs -Q:
> > 
> > This commit contains this change:
> > 
> > diff --git a/lisp/replace.el b/lisp/replace.el
> > index dcae12e9b7..b8f231eb55 100644
> > --- a/lisp/replace.el
> > +++ b/lisp/replace.el
> > @@ -1907,10 +1907,8 @@ occur-engine
> >        global-matches)))
> >  
> >  (defun occur-engine-line (beg end &optional keep-props)
> > -  (if (and keep-props (if (boundp 'jit-lock-mode) jit-lock-mode)
> > -	   (text-property-not-all beg end 'fontified t))
> > -      (if (fboundp 'jit-lock-fontify-now)
> > -	  (jit-lock-fontify-now beg end)))
> > +  (if (and keep-props font-lock-mode)
> > +      (font-lock-ensure beg end))
> >    (if (and keep-props (not (eq occur-excluded-properties t)))
> >        (let ((str (buffer-substring beg end)))
> >  	(remove-list-of-text-properties

Thanks.

The fix installed on master is in a much more general place, and will
affect much more than just occur-engine.  I'm okay with a bug-fix
change on the release branch which is local to this place in
replace.el, but I don't want to risk breaking unrelated code by
changing font-lock.el.

Another alternative is to revert the offending changes in fb16313025
on the release branch.  Since it is an enhancement, perhaps we could
live without it in Emacs 27.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 21 Feb 2020 00:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 19:10:56 2020
Received: from localhost ([127.0.0.1]:46128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4vuC-0005C7-98
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 19:10:56 -0500
Received: from cadetblue.birch.relay.mailchannels.net ([23.83.209.28]:62660)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j4vu9-0005Bv-04
 for 39597 <at> debbugs.gnu.org; Thu, 20 Feb 2020 19:10:53 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 01D53400981;
 Fri, 21 Feb 2020 00:10:52 +0000 (UTC)
Received: from pdx1-sub0-mail-a86.g.dreamhost.com
 (100-96-42-5.trex.outbound.svc.cluster.local [100.96.42.5])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 71468400DE1;
 Fri, 21 Feb 2020 00:10:51 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a86.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Fri, 21 Feb 2020 00:10:51 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Sponge-Drop: 7993843a644cb77d_1582243851712_3679095779
X-MC-Loop-Signature: 1582243851712:2704939186
X-MC-Ingress-Time: 1582243851711
Received: from pdx1-sub0-mail-a86.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a86.g.dreamhost.com (Postfix) with ESMTP id 2BC667F000;
 Thu, 20 Feb 2020 16:10:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=linkov.net; bh=tFJGoI
 fC0zuVYMCAFVEyOTPTwmQ=; b=mGRhalRraw5qxgjz0BLI+/g/VNU3Nth6329wWk
 aNaKaGU3xMzx06B0VLCQzhEU8MX99YyODjpxzXjwNgmQfB1Ff2G9RZDf9JO/Us8E
 OS3kQI++uR/TM18kNsU+QlfiMiyj81kRkZ6tgXezTfr8OEYUfxF9p2E02+HunzLg
 sjcNA=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a86.g.dreamhost.com (Postfix) with ESMTPSA id F15F67EFDF;
 Thu, 20 Feb 2020 16:10:42 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a86
From: Juri Linkov <juri@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
Organization: LINKOV.NET
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
 <874kvna4uv.fsf@HIDDEN> <83zhddjomi.fsf@HIDDEN>
Date: Fri, 21 Feb 2020 02:04:25 +0200
In-Reply-To: <83zhddjomi.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 20 Feb
 2020 16:54:13 +0200")
Message-ID: <87a75cerg6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrkeefgddvtdcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtgfesthekredttderudenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehlohgtrghlhhhoshhtrdhlihhnkhhovhdrnhgvthdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepvghlihiisehgnhhurdhorhhg
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org, monnier@HIDDEN, kevin.legouguec@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>> I confirm this fixes the problem reported by K=E9vin,
>> so maybe this should be installed to emacs-27.
>
> Doesn't sound serious enough to do this on the release branch.  We've
> had this issue for quite some time, no?

This bug is a regression introduced in Emacs 27.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Feb 2020 22:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 17:27:54 2020
Received: from localhost ([127.0.0.1]:46051 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4uIT-0002Ym-OO
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 17:27:53 -0500
Received: from lists.gnu.org ([209.51.188.17]:40744)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1j4uIS-0002Ye-Do
 for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 17:27:52 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:53361)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1j4uIR-0002XE-DH
 for bug-gnu-emacs@HIDDEN; Thu, 20 Feb 2020 17:27:52 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1j4uIQ-0002fa-GX
 for bug-gnu-emacs@HIDDEN; Thu, 20 Feb 2020 17:27:51 -0500
Received: from ciao.gmane.io ([159.69.161.202]:43808)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1j4uIQ-0002eX-A6
 for bug-gnu-emacs@HIDDEN; Thu, 20 Feb 2020 17:27:50 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1j4uIO-000JUB-Ir
 for bug-gnu-emacs@HIDDEN; Thu, 20 Feb 2020 23:27:48 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
Date: Thu, 20 Feb 2020 23:27:41 +0100
Message-ID: <87sgj4sxlu.fsf@HIDDEN>
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
 <874kvna4uv.fsf@HIDDEN> <83zhddjomi.fsf@HIDDEN>
 <871rqpt6qm.fsf@HIDDEN> <83wo8hjajp.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Cancel-Lock: sha1:wv7v0TKUDsaWEE7Q/cbG3vdXz58=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 159.69.161.202
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Eli Zaretskii writes: > Can you show what commit introduced
 that? Yup; quoting Juri above: 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (kevin.legouguec[at]gmail.com)
 1.0 FORGED_GMAIL_RCVD      'From' gmail.com does not match 'Received'
 headers
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.2 HEADER_FROM_DIFFERENT_DOMAINS From and EnvelopeFrom 2nd level
 mail domains are different
 0.9 SPF_FAIL               SPF: sender does not match SPF record (fail)
 [SPF failed: Please see http://www.openspf.org/Why?s=mfrom;
 id=geb-bug-gnu-emacs%40m.gmane-mx.org; ip=209.51.188.17; r=debbugs.gnu.org]
 0.2 FREEMAIL_FORGED_FROMDOMAIN 2nd level domains in From and
 EnvelopeFrom freemail headers are different
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

> Can you show what commit introduced that?

Yup; quoting Juri above:

>> I think commit fb16313025 (2018-12-18T23:10:09Z!juri <at> linkov.net) had an
>> unintended side-effect on fundamental-mode.  From emacs -Q:
> 
> This commit contains this change:
> 
> diff --git a/lisp/replace.el b/lisp/replace.el
> index dcae12e9b7..b8f231eb55 100644
> --- a/lisp/replace.el
> +++ b/lisp/replace.el
> @@ -1907,10 +1907,8 @@ occur-engine
>        global-matches)))
>  
>  (defun occur-engine-line (beg end &optional keep-props)
> -  (if (and keep-props (if (boundp 'jit-lock-mode) jit-lock-mode)
> -	   (text-property-not-all beg end 'fontified t))
> -      (if (fboundp 'jit-lock-fontify-now)
> -	  (jit-lock-fontify-now beg end)))
> +  (if (and keep-props font-lock-mode)
> +      (font-lock-ensure beg end))
>    (if (and keep-props (not (eq occur-excluded-properties t)))
>        (let ((str (buffer-substring beg end)))
>  	(remove-list-of-text-properties

$ git branch --remote --contains fb16313025 | grep origin/emacs-
  origin/emacs-27






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 20 Feb 2020 19:58:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 14:58:41 2020
Received: from localhost ([127.0.0.1]:45901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4ry5-0003Bm-Fv
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 14:58:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j4ry3-0003Ba-FA
 for 39597 <at> debbugs.gnu.org; Thu, 20 Feb 2020 14:58:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37295)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j4rxx-0000gX-RF; Thu, 20 Feb 2020 14:58:33 -0500
Received: from [176.228.60.248] (port=1145 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j4rxw-00027S-Jq; Thu, 20 Feb 2020 14:58:33 -0500
Date: Thu, 20 Feb 2020 21:58:18 +0200
Message-Id: <83wo8hjajp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
In-reply-to: <871rqpt6qm.fsf@HIDDEN> (message from =?utf-8?Q?K=C3=A9vin?=
 Le Gouguec on Thu, 20 Feb 2020 20:10:25 +0100)
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
 <874kvna4uv.fsf@HIDDEN> <83zhddjomi.fsf@HIDDEN>
 <871rqpt6qm.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org, monnier@HIDDEN, juri@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Kévin Le Gouguec <kevin.legouguec@HIDDEN>
> Cc: Juri Linkov <juri@HIDDEN>,  monnier@HIDDEN,
>   39597 <at> debbugs.gnu.org
> Date: Thu, 20 Feb 2020 20:10:25 +0100
> 
> > Doesn't sound serious enough to do this on the release branch.  We've
> > had this issue for quite some time, no?
> 
> Unless I'm getting mixed up between the bug reports I've made recently,
> this issue has actually been introduced in emacs 27.  Quoting my initial
> message (and hoping I'm not confused):
> 
> > In emacs 26.3, the Occur buffer pops up and not much else happens;
> > starting with emacs 27, font-lock-string-face is applied to "bar".

Can you show what commit introduced that?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 20 Feb 2020 19:10:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 14:10:42 2020
Received: from localhost ([127.0.0.1]:45871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4rDd-00021S-Rp
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 14:10:42 -0500
Received: from mail-wm1-f50.google.com ([209.85.128.50]:40263)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1j4rDc-00021G-7G
 for 39597 <at> debbugs.gnu.org; Thu, 20 Feb 2020 14:10:40 -0500
Received: by mail-wm1-f50.google.com with SMTP id t14so3251418wmi.5
 for <39597 <at> debbugs.gnu.org>; Thu, 20 Feb 2020 11:10:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=GymL44paPGQTCzwHYjBEwxYgEHpopmSANnLCthG458Y=;
 b=ZXq88yFKd4vCsyiuLf4iJ1/lsX0HDDCphqgerBDdxNzwc0nkgrAEPfrE77g7MooXLZ
 WXhLWOdDYdW/7CMuLP5y4spk53lDmekZRH4Xxcqp7+mNvM8iHnYJcZlCBGRA3RRMp/Jk
 RC/bLn9o7M7hhcfO/2xifiSfus1WlzBB0o8WHDGWUr3fZXxpFYXSh9KXnCmEHYIdPxxN
 otpHZ+QzvOWpepxR4CYEw6vJwAIbpdGtFKmQJaFP8IrR8Xn0DCYiIDNlFXMVgM7kgHbL
 kPNQQJEdO60DhpUKDFB6wkrereigU/d6q3NCkKccGc53acUHJO2agTaw+AjhZPRU1BIV
 zbkw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=GymL44paPGQTCzwHYjBEwxYgEHpopmSANnLCthG458Y=;
 b=n3l3aMWz8VdyronzlqhSq8bcOAR4TyQ9O5HIdk9pplx3SciD4sFQnTeMWRg3Gtg9CY
 MNIhnQw144RFnmSoRliQApKn2bzJi234qHYlYoxoRxfN8fti7cYyvhunnZFIYgkFoKRn
 TaRuRt8yd1yAA/se6HTzqc1tLI8oZ31mjLGkHkQUIwlod4nc6kcb6KsVSO/207M7NV7F
 Y/0J4Rp5F5ddGOxXTpN7jafq11C5MelX718oK/3+xh2hKSFNhdIDpuUZYtXYRD/2byTZ
 HFV0anaBOv5kz0en4lGsIJ8M8fubn9QxR0qsNHCnKtIEiZG4Ow9kCYingVREx+iHIQSp
 CvAg==
X-Gm-Message-State: APjAAAXyZFVvtg3bDu32g8Emd2nwDKj+Zo9nol586rXVd8OmSJbN62tN
 bkw+N+5sFKHuZPDLJl1uYuJRAzay
X-Google-Smtp-Source: APXvYqwYa9nAwCLERbxknGju1rh9hHhRlmeUVg7MPJHKf5++MRiNJ/Lukrdb+/h3ROAln+fKpMg5ng==
X-Received: by 2002:a05:600c:294:: with SMTP id
 20mr6144567wmk.135.1582225834095; 
 Thu, 20 Feb 2020 11:10:34 -0800 (PST)
Received: from hirondell (200.143.13.109.rev.sfr.net. [109.13.143.200])
 by smtp.gmail.com with ESMTPSA id q124sm5758332wme.2.2020.02.20.11.10.32
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 20 Feb 2020 11:10:33 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
 <874kvna4uv.fsf@HIDDEN> <83zhddjomi.fsf@HIDDEN>
Date: Thu, 20 Feb 2020 20:10:25 +0100
In-Reply-To: <83zhddjomi.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 20 Feb
 2020 16:54:13 +0200")
Message-ID: <871rqpt6qm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org, monnier@HIDDEN,
 Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Juri Linkov <juri@HIDDEN>
>> Date: Wed, 19 Feb 2020 00:49:12 +0200
>> Cc: 39597 <at> debbugs.gnu.org,
>>=20
>> I confirm this fixes the problem reported by K=C3=A9vin,
>> so maybe this should be installed to emacs-27.
>
> Doesn't sound serious enough to do this on the release branch.  We've
> had this issue for quite some time, no?

Unless I'm getting mixed up between the bug reports I've made recently,
this issue has actually been introduced in emacs 27.  Quoting my initial
message (and hoping I'm not confused):

> In emacs 26.3, the Occur buffer pops up and not much else happens;
> starting with emacs 27, font-lock-string-face is applied to "bar".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 20 Feb 2020 14:54:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 20 09:54:38 2020
Received: from localhost ([127.0.0.1]:44170 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4nDq-0006AL-3T
	for submit <at> debbugs.gnu.org; Thu, 20 Feb 2020 09:54:38 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57608)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1j4nDo-0006A8-H4
 for 39597 <at> debbugs.gnu.org; Thu, 20 Feb 2020 09:54:36 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60156)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1j4nDi-0004Qx-MU; Thu, 20 Feb 2020 09:54:30 -0500
Received: from [176.228.60.248] (port=2431 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1j4nDh-0002NC-Sl; Thu, 20 Feb 2020 09:54:30 -0500
Date: Thu, 20 Feb 2020 16:54:13 +0200
Message-Id: <83zhddjomi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-reply-to: <874kvna4uv.fsf@HIDDEN> (message from Juri Linkov on
 Wed, 19 Feb 2020 00:49:12 +0200)
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN> <874kvna4uv.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org, monnier@HIDDEN, kevin.legouguec@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> From: Juri Linkov <juri@HIDDEN>
> Date: Wed, 19 Feb 2020 00:49:12 +0200
> Cc: 39597 <at> debbugs.gnu.org,
>  Kvin Le Gouguec <kevin.legouguec@HIDDEN>
> 
> > diff --git a/lisp/font-lock.el b/lisp/font-lock.el
> > index 438511b647..bf045d9d7e 100644
> > --- a/lisp/font-lock.el
> > +++ b/lisp/font-lock.el
> > @@ -1139,9 +1139,10 @@ font-lock-ensure
> >    "Make sure the region BEG...END has been fontified.
> >  If the region is not specified, it defaults to the entire accessible
> >  portion of the buffer."
> > -  (font-lock-set-defaults)
> > -  (funcall font-lock-ensure-function
> > -           (or beg (point-min)) (or end (point-max))))
> > +  (when (font-lock-specified-p t)
> > +    (font-lock-set-defaults)
> > +    (funcall font-lock-ensure-function
> > +             (or beg (point-min)) (or end (point-max)))))
> >  
> >  (defun font-lock-default-fontify-buffer ()
> >    "Fontify the whole buffer using `font-lock-fontify-region-function'."
> 
> I confirm this fixes the problem reported by Kvin,
> so maybe this should be installed to emacs-27.

Doesn't sound serious enough to do this on the release branch.  We've
had this issue for quite some time, no?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 19 Feb 2020 18:57:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 19 13:57:17 2020
Received: from localhost ([127.0.0.1]:43382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4UX7-0000l1-3L
	for submit <at> debbugs.gnu.org; Wed, 19 Feb 2020 13:57:17 -0500
Received: from mail-wr1-f45.google.com ([209.85.221.45]:41856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1j4UX5-0000ko-NS
 for 39597 <at> debbugs.gnu.org; Wed, 19 Feb 2020 13:57:16 -0500
Received: by mail-wr1-f45.google.com with SMTP id c9so1792560wrw.8
 for <39597 <at> debbugs.gnu.org>; Wed, 19 Feb 2020 10:57:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=uVKeQDWlJKuEcTuQe1GHv03HAIWRt3hiF9nvrlW7rlw=;
 b=IOixkynoXEW8J+czzqz7IL4KoG7GgwhAE6liTX2NzKJP8wQE8F6IAecn3BlerfPJvy
 uA0D0JZdQTxkk8ehQptMpYnUC5BKXVZGt3dpp50l1z8kmzVK+MiHKTimQqHkcFA92Qf9
 bQibd+4Nr+VRudo8/y+5xXpX5SkhqfcDRCuS7a9TMZvfIiYPdB+zbFbANiRxpmuwGSCL
 TSAgADuNlOGRrqkyF4I1TraJ5KTot+L4htgQYlheS+PqSXURbCBnvzu/afXJfE7I4Khp
 cXJIIDCKKixjeanbmX+36Wko3EgSeRUFPZdUIVAoW8eI2/54Ij9rzICoHE8s/dqmJo6E
 hx0Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=uVKeQDWlJKuEcTuQe1GHv03HAIWRt3hiF9nvrlW7rlw=;
 b=QONCn5SYiCGfKp3Sp2jwKqL2puB3BleYFBZqW3LdqGHbxgX8El0Pt/ROX6N/glkEA4
 SA63MJq2PL/JO86+8b6syvfLQvdzZDUn5flR2z3HKOsgeHCW4fCsP7AyWvy9VI4GcEwT
 2YSHxoVezkNleZDLvGUrPVN92JkiaZ9e/2dFT2i7Ju6gKSMSuqZIVCKMh4dRsE29ezCW
 pC0VZSoVhS8Z/FPsyCNbVx8unERLz3cFONLrgccTlRNOrdv7XBtnzmO+jficGOOozGCQ
 51me50WIxj50DaMMrppzkYfjKNXuBLft5YBW/97TEjeHnl8XrNUixG/CwMhp2wPoE2X/
 fusg==
X-Gm-Message-State: APjAAAWkw4oxwwiWjgFEtRFRIpdcAzDUB51fneme02xxYl9J+Qa+Xte9
 I5NUCQLCT937LsMr6X332Ztzuq6i128=
X-Google-Smtp-Source: APXvYqwz12y8jnXX1WGbtfbKDBNiOueCjWPAE4n+xnE3YVadNyWRlQVqIlvF84JokZ07RPEFAAOOUA==
X-Received: by 2002:adf:facc:: with SMTP id a12mr9484352wrs.100.1582138629219; 
 Wed, 19 Feb 2020 10:57:09 -0800 (PST)
Received: from my-little-tumbleweed (200.143.13.109.rev.sfr.net.
 [109.13.143.200])
 by smtp.gmail.com with ESMTPSA id e17sm951082wrn.62.2020.02.19.10.57.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 19 Feb 2020 10:57:08 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
Date: Wed, 19 Feb 2020 19:57:07 +0100
In-Reply-To: <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 18 Feb 2020 08:51:37 -0500")
Message-ID: <87k14iiews.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> Maybe something like the patch below?

I can confirm that this fixes the issue.

> I'm not sufficiently familiar with the design of `font-lock-specified-p`
> to be completely sure where the check should be placed; this is my best g=
uess.

I tried to read as much as I could about font-lock in the Emacs and
Elisp manuals, but I'm still overwhelmed by all the variables and
functions involved, e.g.

- font-lock-mode
- font-lock-specified-p
- font-lock-ensure
- font-lock-set-defaults
- font-lock-fontified
- font-lock-defaults
- font-lock-major-mode

M-? and M-. make it trivial to say which function sets which variables,
which predicate depends on which variables, which variable influences
which functions=E2=80=A6 but I can't figure out what the overall design is,
i.e. which symbols are font-lock plumbing, which ones are meant to be
used by major modes, which ones should be used by minor modes=E2=80=A6

IOW I have no idea where the check should be place either :/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 18 Feb 2020 22:56:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 18 17:56:24 2020
Received: from localhost ([127.0.0.1]:41441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j4Bmy-0007Do-DX
	for submit <at> debbugs.gnu.org; Tue, 18 Feb 2020 17:56:24 -0500
Received: from black.elm.relay.mailchannels.net ([23.83.212.19]:29346)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j4Bmw-0007Dg-Ec
 for 39597 <at> debbugs.gnu.org; Tue, 18 Feb 2020 17:56:22 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 2CDAA5A1226;
 Tue, 18 Feb 2020 22:56:21 +0000 (UTC)
Received: from pdx1-sub0-mail-a86.g.dreamhost.com
 (100-96-217-5.trex.outbound.svc.cluster.local [100.96.217.5])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id A55365A0D3C;
 Tue, 18 Feb 2020 22:56:20 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a86.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Tue, 18 Feb 2020 22:56:21 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Suffer-Wiry: 18b27665798528e9_1582066580920_3574130415
X-MC-Loop-Signature: 1582066580920:1878087919
X-MC-Ingress-Time: 1582066580920
Received: from pdx1-sub0-mail-a86.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a86.g.dreamhost.com (Postfix) with ESMTP id 283827EF4D;
 Tue, 18 Feb 2020 14:56:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type:content-transfer-encoding; s=linkov.net; bh=9xIuSc
 A/cX+xfWXhUUg9wH68Y9E=; b=ZjbiwchGRmD+V1oncDmAoiHdb1foPY0NNFfOGU
 9+SR8tVtwBnuGPMJ5MLclSKABc2P8CDnEKxzJp/hls+EGi+Zjia9lC5xNLRvDOHB
 MDLznLix/kg3g7tC5WVjkAqAytwP6u5RyDlqH/oz87BvJ5WoW565tj+pJpYPIgGx
 UcryA=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a86.g.dreamhost.com (Postfix) with ESMTPSA id 7FA977EF56;
 Tue, 18 Feb 2020 14:56:12 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a86
From: Juri Linkov <juri@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
Organization: LINKOV.NET
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
 <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
Date: Wed, 19 Feb 2020 00:49:12 +0200
In-Reply-To: <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 18 Feb 2020 08:51:37 -0500")
Message-ID: <874kvna4uv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrjeelgddtudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtgfesthekredttderudenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrddvjeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhepmhhouggvpehsmhhtphdphhgvlhhopehlohgtrghlhhhoshhtrdhlihhnkhhovhdrnhgvthdpihhnvghtpeeluddruddvledruddtfedrvdejpdhrvghtuhhrnhdqphgrthhhpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqpdhmrghilhhfrhhomhepjhhurhhisehlihhnkhhovhdrnhgvthdpnhhrtghpthhtohepmhhonhhnihgvrhesihhrohdruhhmohhnthhrvggrlhdrtggr
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org,
 =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Maybe something like the patch below?
> I'm not sufficiently familiar with the design of `font-lock-specified-p=
`
> to be completely sure where the check should be placed; this is my best=
 guess.

> diff --git a/lisp/font-lock.el b/lisp/font-lock.el
> index 438511b647..bf045d9d7e 100644
> --- a/lisp/font-lock.el
> +++ b/lisp/font-lock.el
> @@ -1139,9 +1139,10 @@ font-lock-ensure
>    "Make sure the region BEG...END has been fontified.
>  If the region is not specified, it defaults to the entire accessible
>  portion of the buffer."
> -  (font-lock-set-defaults)
> -  (funcall font-lock-ensure-function
> -           (or beg (point-min)) (or end (point-max))))
> +  (when (font-lock-specified-p t)
> +    (font-lock-set-defaults)
> +    (funcall font-lock-ensure-function
> +             (or beg (point-min)) (or end (point-max)))))
> =20
>  (defun font-lock-default-fontify-buffer ()
>    "Fontify the whole buffer using `font-lock-fontify-region-function'.=
"

I confirm this fixes the problem reported by K=E9vin,
so maybe this should be installed to emacs-27.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 18 Feb 2020 13:51:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 18 08:51:56 2020
Received: from localhost ([127.0.0.1]:39697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j43I4-0008LU-2h
	for submit <at> debbugs.gnu.org; Tue, 18 Feb 2020 08:51:56 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:2330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1j43I1-0008LG-KF
 for 39597 <at> debbugs.gnu.org; Tue, 18 Feb 2020 08:51:54 -0500
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id D3C4B8117E;
 Tue, 18 Feb 2020 08:51:47 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 880588105C;
 Tue, 18 Feb 2020 08:51:38 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1582033898;
 bh=dcPyNXtEb9mEcRu+SvK/cMax804WL1G5r3ACkSSdudE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=g3VHNaEemRF5USwzBg33WdayKl1ZGJxPZc05kE03tmaqoRTgeMuObp4ps4QABPs1k
 HIB/9AJ82ADrfGFgFKiKBxjbNcLgaFgGMMcAH/iDXZIyuWyl3BT+rmEQqZms7zPdTL
 YpUjQ9yfBFHpEy7KdjUFRQb1t14vDJPLnFuBwZMztinZJqStkIt4uSSjCgo8v1D6Or
 RRou7GLEtUgWHKSMpwL2JOHCHCPFowAu6BgCwHyjUtKccQVtvtm4xi9/R5JbZS+7BD
 mZReAXifXavzC32q/9cLR6YgZhspxAHavWhfCZbn2GBXJwzWTFTdVgfxyhDmE9G603
 YJR1QQfXcZR2A==
Received: from pastel (unknown [157.52.14.222])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 127CF1204B0;
 Tue, 18 Feb 2020 08:51:38 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
Message-ID: <jwvlfp0gg49.fsf-monnier+emacs@HIDDEN>
References: <87imk960qb.fsf@HIDDEN> <8736b8eosv.fsf@HIDDEN>
Date: Tue, 18 Feb 2020 08:51:37 -0500
In-Reply-To: <8736b8eosv.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 18 Feb 2020 02:12:32 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.044 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org,
 =?windows-1252?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov [2020-02-18 02:12:32] wrote:

>> I think commit fb16313025 (2018-12-18T23:10:09Z!juri@HIDDEN) had an
>> unintended side-effect on fundamental-mode.  From emacs -Q:
>
> This commit contains this change:
>
> diff --git a/lisp/replace.el b/lisp/replace.el
> index dcae12e9b7..b8f231eb55 100644
> --- a/lisp/replace.el
> +++ b/lisp/replace.el
> @@ -1907,10 +1907,8 @@ occur-engine
>        global-matches)))
>  
>  (defun occur-engine-line (beg end &optional keep-props)
> -  (if (and keep-props (if (boundp 'jit-lock-mode) jit-lock-mode)
> -	   (text-property-not-all beg end 'fontified t))
> -      (if (fboundp 'jit-lock-fontify-now)
> -	  (jit-lock-fontify-now beg end)))
> +  (if (and keep-props font-lock-mode)
> +      (font-lock-ensure beg end))
>    (if (and keep-props (not (eq occur-excluded-properties t)))
>        (let ((str (buffer-substring beg end)))
>  	(remove-list-of-text-properties
>
>> - C-x b repro RET
>> - foo RET "bar" RET baz
>> - M-s o . RET
>>
>> In emacs 26.3, the Occur buffer pops up and not much else happens;
>> starting with emacs 27, font-lock-string-face is applied to "bar".
>>
>> I haven't dug much more than that; FWIW however, emacs 26.3 already
>> applied font-lock-string-face to double-quoted strings when running
>> (font-lock-ensure) in a fundamental buffer, so maybe the right fix
>> belongs e.g. somewhere in font-lock-set-defaults?
>
> Stefan, could you suggest what to do with font-lock-ensure
> to not highlight double-quoted strings in fundamental-mode?

Maybe something like the patch below?
I'm not sufficiently familiar with the design of `font-lock-specified-p`
to be completely sure where the check should be placed; this is my best guess.


        Stefan


diff --git a/lisp/font-lock.el b/lisp/font-lock.el
index 438511b647..bf045d9d7e 100644
--- a/lisp/font-lock.el
+++ b/lisp/font-lock.el
@@ -1139,9 +1139,10 @@ font-lock-ensure
   "Make sure the region BEG...END has been fontified.
 If the region is not specified, it defaults to the entire accessible
 portion of the buffer."
-  (font-lock-set-defaults)
-  (funcall font-lock-ensure-function
-           (or beg (point-min)) (or end (point-max))))
+  (when (font-lock-specified-p t)
+    (font-lock-set-defaults)
+    (funcall font-lock-ensure-function
+             (or beg (point-min)) (or end (point-max)))))
 
 (defun font-lock-default-fontify-buffer ()
   "Fontify the whole buffer using `font-lock-fontify-region-function'."





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at 39597 <at> debbugs.gnu.org:


Received: (at 39597) by debbugs.gnu.org; 18 Feb 2020 00:15:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Feb 17 19:15:19 2020
Received: from localhost ([127.0.0.1]:39386 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j3qXn-0000s6-HO
	for submit <at> debbugs.gnu.org; Mon, 17 Feb 2020 19:15:19 -0500
Received: from bumble.birch.relay.mailchannels.net ([23.83.209.25]:64324)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1j3qXm-0000ry-Bs
 for 39597 <at> debbugs.gnu.org; Mon, 17 Feb 2020 19:15:18 -0500
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 523E222C62;
 Tue, 18 Feb 2020 00:15:17 +0000 (UTC)
Received: from pdx1-sub0-mail-a38.g.dreamhost.com
 (100-96-206-172.trex.outbound.svc.cluster.local [100.96.206.172])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 943D922C47;
 Tue, 18 Feb 2020 00:15:16 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a38.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.18.5); Tue, 18 Feb 2020 00:15:17 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Inform-Occur: 527e49fc1adae7e9_1581984917014_172547015
X-MC-Loop-Signature: 1581984917013:4034695155
X-MC-Ingress-Time: 1581984917013
Received: from pdx1-sub0-mail-a38.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a38.g.dreamhost.com (Postfix) with ESMTP id 123FAB26FE;
 Mon, 17 Feb 2020 16:15:12 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=N3b5Wsog2d0EX6T2FPm4Rv3+XoY=; b=
 GykIv/UILG+lMflcjKUpjHw3ic5POp+7gx8KmZY2CKxGO2SbDfxOYjql/893nllZ
 YZbbrS7DqYpSFQ3TCBWb9h1tVRWMEAdlLZa2w+ZAEuCw42Ynqv/KZqLVi9xW3BT/
 MayWyMIRtQ72xKlF49sxEEBsTfEa8nm+tCwbJF29aBI=
Received: from localhost.linkov.net (m91-129-103-27.cust.tele2.ee
 [91.129.103.27])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a38.g.dreamhost.com (Postfix) with ESMTPSA id 431A6B27A4;
 Mon, 17 Feb 2020 16:15:08 -0800 (PST)
X-DH-BACKEND: pdx1-sub0-mail-a38
From: Juri Linkov <juri@HIDDEN>
To: =?iso-8859-1?Q?K=E9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
Subject: Re: bug#39597: 27.0.60: M-x occur adds fontification to
 fundamental-mode
Organization: LINKOV.NET
References: <87imk960qb.fsf@HIDDEN>
Date: Tue, 18 Feb 2020 02:12:32 +0200
In-Reply-To: <87imk960qb.fsf@HIDDEN> (=?iso-8859-1?Q?=22K=E9vin?= Le
 Gouguec"'s message of "Fri, 14 Feb 2020 09:18:20 +0100")
Message-ID: <8736b8eosv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgedugedrjeejgddulecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdfftffgtefojffquffvnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpefhvffuohhfffgjkfgfgggtsehttdertddtredtnecuhfhrohhmpefluhhrihcunfhinhhkohhvuceojhhurhhisehlihhnkhhovhdrnhgvtheqnecukfhppeeluddruddvledruddtfedrvdejnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmohguvgepshhmthhppdhhvghloheplhhotggrlhhhohhsthdrlhhinhhkohhvrdhnvghtpdhinhgvthepledurdduvdelrddutdefrddvjedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopehkvghvihhnrdhlvghgohhughhuvggtsehgmhgrihhlrdgtohhm
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 39597
Cc: 39597 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I think commit fb16313025 (2018-12-18T23:10:09Z!juri@HIDDEN) had an
> unintended side-effect on fundamental-mode.  From emacs -Q:

This commit contains this change:

diff --git a/lisp/replace.el b/lisp/replace.el
index dcae12e9b7..b8f231eb55 100644
--- a/lisp/replace.el
+++ b/lisp/replace.el
@@ -1907,10 +1907,8 @@ occur-engine
       global-matches)))
 
 (defun occur-engine-line (beg end &optional keep-props)
-  (if (and keep-props (if (boundp 'jit-lock-mode) jit-lock-mode)
-	   (text-property-not-all beg end 'fontified t))
-      (if (fboundp 'jit-lock-fontify-now)
-	  (jit-lock-fontify-now beg end)))
+  (if (and keep-props font-lock-mode)
+      (font-lock-ensure beg end))
   (if (and keep-props (not (eq occur-excluded-properties t)))
       (let ((str (buffer-substring beg end)))
 	(remove-list-of-text-properties

> - C-x b repro RET
> - foo RET "bar" RET baz
> - M-s o . RET
>
> In emacs 26.3, the Occur buffer pops up and not much else happens;
> starting with emacs 27, font-lock-string-face is applied to "bar".
>
> I haven't dug much more than that; FWIW however, emacs 26.3 already
> applied font-lock-string-face to double-quoted strings when running
> (font-lock-ensure) in a fundamental buffer, so maybe the right fix
> belongs e.g. somewhere in font-lock-set-defaults?

Stefan, could you suggest what to do with font-lock-ensure
to not highlight double-quoted strings in fundamental-mode?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Feb 2020 08:18:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Feb 14 03:18:36 2020
Received: from localhost ([127.0.0.1]:60801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j2WBI-0006lE-EJ
	for submit <at> debbugs.gnu.org; Fri, 14 Feb 2020 03:18:36 -0500
Received: from lists.gnu.org ([209.51.188.17]:58659)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1j2WBH-0006l7-AJ
 for submit <at> debbugs.gnu.org; Fri, 14 Feb 2020 03:18:35 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:34924)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1j2WBG-0007bf-8T
 for bug-gnu-emacs@HIDDEN; Fri, 14 Feb 2020 03:18:35 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1j2WBF-0001jy-6N
 for bug-gnu-emacs@HIDDEN; Fri, 14 Feb 2020 03:18:34 -0500
Received: from mail-wr1-x429.google.com ([2a00:1450:4864:20::429]:33848)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <kevin.legouguec@HIDDEN>)
 id 1j2WBF-0001hm-0G
 for bug-gnu-emacs@HIDDEN; Fri, 14 Feb 2020 03:18:33 -0500
Received: by mail-wr1-x429.google.com with SMTP id n10so7900153wrm.1
 for <bug-gnu-emacs@HIDDEN>; Fri, 14 Feb 2020 00:18:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=XukUIe3cgyuwV+yc/Ek5Oy6OuhndNBoa4o/o2Tu+T6k=;
 b=AtNZtrDoZK45DcymcxT80jIhQlT0TMCs7SCfsjzY2UnaZSqEo4An+wHKu0/lSY5Wdc
 qQZIaWPXC3AXyXmqzYYftpy+zxKR2qGydi7nct7Z4UI7ZXaAK0maud835lJOrjoFO9Lr
 trd2WZ8Hf7fuVrnt1ZpREaRMmRXZrNZ9n3iXh2HGw3BEkw2XC8yeEXptwLf6As554L6d
 cejG3m7jVjWf5LbOaqdHhawTOKuitlS0XM7OMDaAzle14wmegN713psCjPK3azaQq1+P
 zOk1hbx2sHTznc9Fma6IlK351ECp8xeN82BkX2KJZlQ2nRZWGi73qdvRpVga4tc75Xzg
 rEEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=XukUIe3cgyuwV+yc/Ek5Oy6OuhndNBoa4o/o2Tu+T6k=;
 b=NMdgVuHbZcRAGghsw6PQ26Sxw7Itmoop98cePLrz2kpvPsTHzVhJz8srVa0VK6UwF0
 17dSWOIa629TJFtKRUgAZhwaaaLapNf+rbYP3YRk74ywyWA3/LWYuKqLBDDuqtiXLM5U
 GQvjQZM9q8yEFTc7InCHnvKCsGHJUjC+9hVob5eYYdYd9kDtFAsIqM8P05XL08kB+fQ4
 K4JTjQx09pg/+MjAxx1GzzLfUTHGyDQW01jg9sQMQZ+aB8uGgzF5SWKIA1JTCQUR44ne
 aS6QGFUTDVsCaXv7pc/y72kIebFF4guzMR1LgKBoG3G6XUAvquMYGo+524uAfRo+rnlD
 ksow==
X-Gm-Message-State: APjAAAXz7ue/LXwbe/X/1LqiPTKb72tFe8TNZoBGpjfPLJMFnAQlsHXc
 20M8c1YZjB7kEzF+LHFQ19d8SxqY
X-Google-Smtp-Source: APXvYqwIjd69G8/9EHwk06zQVdtSAKncDD8279+CNL7y9ZlFIf72CsudI2Oe+Jym0uzRq2VqTPjAEw==
X-Received: by 2002:a5d:6709:: with SMTP id o9mr2623462wru.82.1581668311001;
 Fri, 14 Feb 2020 00:18:31 -0800 (PST)
Received: from hirondell ([109.190.253.11])
 by smtp.gmail.com with ESMTPSA id s65sm6454426wmf.48.2020.02.14.00.18.29
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 14 Feb 2020 00:18:30 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.60: M-x occur adds fontification to fundamental-mode
Date: Fri, 14 Feb 2020 09:18:20 +0100
Message-ID: <87imk960qb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::429
X-Spam-Score: 2.3 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello,
 I think commit fb16313025 (2018-12-18T23:10:09Z!juri@HIDDEN)
 had an unintended side-effect on fundamental-mode. From emacs -Q: - C-x b
 repro RET - foo RET "bar" RET baz - M-s o . RET 
 Content analysis details:   (2.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: x.org]
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (kevin.legouguec[at]gmail.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hello,

I think commit fb16313025 (2018-12-18T23:10:09Z!juri@HIDDEN) had an
unintended side-effect on fundamental-mode.  From emacs -Q:

- C-x b repro RET
- foo RET "bar" RET baz
- M-s o . RET

In emacs 26.3, the Occur buffer pops up and not much else happens;
starting with emacs 27, font-lock-string-face is applied to "bar".

I haven't dug much more than that; FWIW however, emacs 26.3 already
applied font-lock-string-face to double-quoted strings when running
(font-lock-ensure) in a fundamental buffer, so maybe the right fix
belongs e.g. somewhere in font-lock-set-defaults?


Thank you for your time.


In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.5, cairo version 1.16.0)
 of 2020-01-31 built on hirondell
Repository revision: d3ead375092e2690c1d1d6a5dd82e6e89cdf4f4c
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)

Configured using:
 'configure --with-xwidgets --with-cairo'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS
LIBSYSTEMD JSON PDUMPER LCMS2 GMP




Acknowledgement sent to Kévin Le Gouguec <kevin.legouguec@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#39597; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 23 Feb 2020 01:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.